"use strict"
var mysql = require('mysql')
var pool = null

function query(query, req, res) {
    if (typeof this.config==='undefined' || this.config===null || typeof this.config!=='object') {
        res.json({ "code": 100, "status": "Pool has not been set. Try with mysqlPoolastic.config(object config)" })
        return
    } else if (!pool) {
        pool = mysql.createPool(this.config)
    }

    pool.getConnection(function (err, connection) {
        if (err) {
            res.json({ "code": 100, "status": "Error in connection database" });
            return;
        }

        console.log('connected as id ' + connection.threadId);

        connection.query(query, function (err, rows) {
            connection.release();
            if (!err) {
                res.json(rows);
            }
        });

        connection.on('error', function (err) {
            res.json({ "code": 100, "status": "Error in connection database" });
            return;
        });
    });
}

module.exports = {
    config: function(config) {
        this.config = config
    },
    query: query
}